## ros-jazzy-rclc 6.1.0

=== debian/changelog ===
ros-jazzy-rclc (6.1.0-4bookworm) bookworm; urgency=high

  * Data structures interfaces for multi-threaded executor (#355)
  * update ros-tooling versions (#361)
  * updated actions/checkout version (#367)
  * updated branch names to rolling (#370)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 14 Jun 2023 16:00:00 -0000

ros-jazzy-rclc (3.0.9-4bookworm) bookworm; urgency=high

  * Added build status of bloom-releases for Humble distribution (#291)
  * [rolling] updated ros-tooling versions (#289)
  * github action: updated os-version to ubuntu-22.04 (backport #295) (#296)
  * Added documentation (#301)
  * Drop build dependency on std_msgs (#314)
  * Updated mailto:ros-tooling/setup-ros@0.4.2 and mailto:ros-tooling/action-ros-ci@0.2.7 (#318)
  * Removed build status for Galactic in README (EOL November 2022) (#321)
  * Update documentation about number_of_handles (#326)
  * executor.h: Fix a few docs typos (#338)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 21 Mar 2023 16:00:00 -0000

ros-jazzy-rclc (3.0.8-4bookworm) bookworm; urgency=high

  * Remove duplicate typedefs. (#249)
  * Add rmw dependencies due to EventsExecutor PR in rcl (#255)
  * Fix action client & server deallocation (#257)
  * updated documentation: build status for Rolling (#266)
  * Update action client goal callback signature (#282)
  * Upgrade parameters (#274)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 13 Apr 2022 16:00:00 -0000

ros-jazzy-rclc (3.0.7-4bookworm) bookworm; urgency=high

  * Fix enum naming for avoid collision (#242)
  * Added dependency for package performance-test-fixture (#245)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 16 Feb 2022 16:00:00 -0000

ros-jazzy-rclc (3.0.6-4bookworm) bookworm; urgency=high

  * executor ignore canceled timers (#220)
  * uddated documentation README.md (#229)
  * resolved error in unit test see issue #230 (#231)
  * Add thread dependency to examples (Rolling) (#237) (resolves in this package only cpplint errors)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Mon, 24 Jan 2022 16:00:00 -0000

ros-jazzy-rclc (3.0.5-4bookworm) bookworm; urgency=high

  * Fix data_available reset for timer (backport #215) (#217)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Mon, 22 Nov 2021 16:00:00 -0000

ros-jazzy-rclc (3.0.4-4bookworm) bookworm; urgency=high

  * Ignoring unsuccessful SERVICE_TAKE (#175)
  * Add rclc_parameter Quality Declaration (#144)
  * use-ros2-testing (#185)
  * Fix: printf in executor spin (#195)
  * Fix init options handling (#202) (#205)
  * Remove init options from support (#203)
  * RCLC Actions Implementation (#170)
  * Add rcl_action as build export dependency (#211)

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 16 Nov 2021 16:00:00 -0000

ros-jazzy-rclc (3.0.3-4bookworm) bookworm; urgency=high

  * Checking for valid ROS context in spin_some
  * Refactoring executor (removing callback_type)
  * Fixing codecov config

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 27 Jul 2021 16:00:00 -0000

ros-jazzy-rclc (3.0.2-4bookworm) bookworm; urgency=high

  * Updated codecov to ignore test folders
  * Updated bloom release status table

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Sun, 25 Jul 2021 16:00:00 -0000

ros-jazzy-rclc (3.0.1-4bookworm) bookworm; urgency=high

  * Added rclc_parameter package
  * Added quality of service entity creation API
  * Added executor prepare API
  * Added support for removing subscription from executor
  * Added support for subscription with context
  * Added quality declaration statement
  * Updated compatability function for sleep
  * Removed duplicate NOTICE files

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Fri, 16 Jul 2021 16:00:00 -0000

ros-jazzy-rclc (2.0.0-4bookworm) bookworm; urgency=high

  * Added codecov support
  * New API of rcl_lifecycle in Rolling required major version bump

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Thu, 22 Apr 2021 16:00:00 -0000

ros-jazzy-rclc (1.0.1-4bookworm) bookworm; urgency=high

  * Windows port
  * Compatibility sleep function (Windows, POSIX-OS)
  * Fixed RCL lifecycle API change for Rolling

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Sun, 28 Mar 2021 16:00:00 -0000

ros-jazzy-rclc (1.0.0-4bookworm) bookworm; urgency=high

  * Service callbacks with context
  * Fixed minor issues unit tests
  * Upgraded setup_ros action (ci jobs)
  * Removed Eloquent from ci jobs

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Wed, 03 Mar 2021 16:00:00 -0000

ros-jazzy-rclc (0.1.7-4bookworm) bookworm; urgency=high

  * Corrected corrupted changelog

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 19 Jan 2021 16:00:00 -0000

ros-jazzy-rclc (0.1.6-4bookworm) bookworm; urgency=high

  * Fixed issues due to Github Action timing delays on cloud build
  * Fixed missing package dependency in Github Action for Eloquent

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 19 Jan 2021 16:00:00 -0000

ros-jazzy-rclc (0.1.5-4bookworm) bookworm; urgency=high

  * Added support for services,clients and guard_conditions to rclc executor
  * Added table for bloom release status in README file

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Thu, 10 Dec 2020 16:00:00 -0000

ros-jazzy-rclc (0.1.4-4bookworm) bookworm; urgency=high

  * Fixed error in bloom release

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Tue, 24 Nov 2020 16:00:00 -0000

ros-jazzy-rclc (0.1.3-4bookworm) bookworm; urgency=high

  * Added rclc_lifecycle package
  * Change maintainer information
  * Minor fixes, updated unit tests

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Sun, 22 Nov 2020 16:00:00 -0000

ros-jazzy-rclc (0.1.2-4bookworm) bookworm; urgency=high

  * Fixed compiler errors for bloom release

 -- Jan Staschulat <jan.staschulat@de.bosch.com>  Mon, 18 May 2020 16:00:00 -0000

ros-jazzy-rclc (0.1.1-4bookworm) bookworm; urgency=high

  * Initial release


