=== debian/control ===
Source: ros-jazzy-rclc
Section: misc
Priority: optional
Maintainer: Jan Staschulat <jan.staschulat@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-ament-cmake-pytest <!nocheck>, ros-jazzy-ament-cmake-ros, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-example-interfaces <!nocheck>, ros-jazzy-launch-testing <!nocheck>, ros-jazzy-osrf-testing-tools-cpp <!nocheck>, ros-jazzy-rcl, ros-jazzy-rcl-action, ros-jazzy-rclcpp <!nocheck>, ros-jazzy-rclcpp-action <!nocheck>, ros-jazzy-rcutils, ros-jazzy-rosidl-generator-c, ros-jazzy-rosidl-typesupport-c, ros-jazzy-std-msgs <!nocheck>, ros-jazzy-test-msgs <!nocheck>, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rclc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-rcl, ros-jazzy-rcl-action, ros-jazzy-rcutils, ros-jazzy-rosidl-generator-c, ros-jazzy-ros-workspace
Description: The ROS client library in C.
